Subject: bug#28610: tcsh 6.20.00 testsuite: 68 failed

From: Drashne <[email-masked]>
Date: Fri, 29 Sep 2017 13:22:40 -0400

> Ludo wrote:
>
> Could it be that you’re running the daemon with “nice guix-daemon …” or
> something like that?

You're right!

I had set up my guix-daemon startup script to start it as "/usr/bin/nice /usr/bin/ionice -c3 /root/.guix-profile/bin/guix-daemon --build-users-group=guixbuild --no-substitutes" but when troubleshooting this I blindly looked right through the "/usr/bin/nice /usr/bin/ionice -c3" part and just focused on the guix-daemon and its arguments.

After noticing this, I tried running guix-daemon without nicing or ionicing it, and rerunning "guix package -i glibc-locales" which now successfully built and tested tcsh, and is currently continuing to build other packages necessary for the installation of glibc-locales.

Thank you so much for your help.